The following commit has been merged in the master branch:
commit a927e8346a1e84a323480392429a4f266327e5a3
Merge: 476f73c6c6811f97bd3bb14ae0cbfae9287e38df 
b7f485fc49d8d04e9689ca95c743151932ef7209
Author: Stephane Glondu <st...@glondu.net>
Date:   Wed Jun 5 20:43:45 2013 +0200

    Merge branch 'jessie/master'
    
    Conflicts:
        debian/changelog
        debian/control

diff --combined debian/changelog
index a36eca1,112d606..4e2443c
--- a/debian/changelog
+++ b/debian/changelog
@@@ -1,18 -1,14 +1,27 @@@
 +ocamlnet (3.6.4-1) UNRELEASED; urgency=low
 +
 +  * New upstream release
 +    - remove patches that were merged upstream:
 +      + Add-rpath-to-Apache-module,
 +      + Link-against-the-PIC-version-of-libcamlrun
-     - fix incorrect use of F_SETFL with FD_CLOEXEC, thanks to Guillem Jover
-       (Closes: #696279)
-     - fix compilation with Apache 2.4
-   * Update packaging for Apache 2.4 transition (Closes: #666825)
++      + Set-FD_CLOEXEC-correctly-using-F_SETFD-not
++      + Fix-compilation-with-Apache-2.4
 +  * Update copyright file and use format version 1.0
 +  * Bump Standards-Version to 3.9.4
 +
 + -- St├ęphane Glondu <glo...@debian.org>  Tue, 04 Jun 2013 08:25:36 +0200
 +
+ ocamlnet (3.5.1-2) unstable; urgency=low
+ 
+   * Update packaging for apache 2.4 (Closes: #666825)
+     - import upstream patch to fix compilation
+   * Fix incorrect use of F_SETFL with FD_CLOEXEC (Closes: #696279)
+   * Force all netsys features on Linux (LP: #257524)
+   * Bump debhelper compat level to 9
+   * Update Vcs-* fields
+ 
+  -- St├ęphane Glondu <glo...@debian.org>  Wed, 05 Jun 2013 08:03:53 +0200
+ 
  ocamlnet (3.5.1-1) unstable; urgency=low
  
    * New upstream release
diff --combined debian/control
index dcb5e3d,4774c50..3e35e38
--- a/debian/control
+++ b/debian/control
@@@ -16,13 -16,11 +16,13 @@@ Build-Depends
   liblablgtk2-ocaml-dev (>= 2.12.0-4~),
   libcryptgps-ocaml-dev (>= 0.2.1-7~),
   libssl-ocaml-dev (>= 0.4.3-3~),
 + libzip-ocaml-dev,
 + libcryptokit-ocaml-dev,
   apache2-dev
 -Standards-Version: 3.9.2
 +Standards-Version: 3.9.4
  Homepage: http://projects.camlcity.org/projects/ocamlnet.html
- Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlnet.git
- Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlnet.git
+ Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocamlnet.git
+ Vcs-Browser: 
http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocamlnet.git
  
  Package: libocamlnet-ocaml-dev
  Architecture: any
diff --combined debian/rules
index a624ea9,2bf5395..f8bed80
--- a/debian/rules
+++ b/debian/rules
@@@ -19,7 -19,6 +19,7 @@@ CFGFLAGS += -enable-gtk2 -enable-ss
  CFGFLAGS += -with-nethttpd -prefer-netcgi2 -with-rpc-auth-dh
  CFGFLAGS += -bindir /usr/bin -datadir /usr/share/ocamlnet
  CFGFLAGS += -enable-apache -apache /usr/sbin/apache2 -apxs /usr/bin/apxs2
 +CFGFLAGS += -enable-pcre -enable-zip -enable-crypto
  
  %:
        dh $@ --with ocaml,apache2
@@@ -49,6 -48,11 +49,6 @@@ override_dh_auto_build
  override_dh_auto_install:
        $(MAKE) install DESTDIR=$(DESTDIR)
  
 -.PHONY: override_dh_auto_clean
 -override_dh_auto_clean:
 -      dh_auto_clean
 -      rm -Rf src/netcgi2-apache/.libs/
 -
  .PHONY: override_dh_install
  override_dh_install:
        dh_install --fail-missing -X.so.owner -Xmod_netcgi_apache.so
@@@ -56,3 -60,7 +56,7 @@@
  .PHONY: override_dh_compress
  override_dh_compress:
        dh_compress -X.ml
+ 
+ .PHONY: override_dh_installchangelogs
+ override_dh_installchangelogs:
+       dh_installchangelogs ChangeLog

-- 
ocamlnet packaging

_______________________________________________
Pkg-ocaml-maint-commits mailing list
Pkg-ocaml-maint-commits@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-ocaml-maint-commits

Reply via email to